import { NativeModules } from 'react-native';
import { bindBarButtonItemClickEvent } from './utils';
const GardenModule = NativeModules.GardenHybrid;
export class Garden {
    constructor(sceneId) {
        this.sceneId = sceneId;
    }
    static setStyle(style = {}) {
        GardenModule.setStyle(style);
    }
    // --------------- instance method --------------
    setLeftBarButtonItem(buttonItem) {
        const options = bindBarButtonItemClickEvent(buttonItem, { sceneId: this.sceneId });
        GardenModule.setLeftBarButtonItem(this.sceneId, options);
    }
    setRightBarButtonItem(buttonItem) {
        const options = bindBarButtonItemClickEvent(buttonItem, { sceneId: this.sceneId });
        GardenModule.setRightBarButtonItem(this.sceneId, options);
    }
    setTitleItem(titleItem) {
        GardenModule.setTitleItem(this.sceneId, titleItem);
    }
    updateOptions(options) {
        GardenModule.updateOptions(this.sceneId, options);
    }
    updateTabBar(options) {
        GardenModule.updateTabBar(this.sceneId, options);
    }
    setTabIcon(icon) {
        if (!Array.isArray(icon)) {
            icon = [icon];
        }
        GardenModule.setTabIcon(this.sceneId, icon);
    }
    setTabBadge(badge) {
        if (!Array.isArray(badge)) {
            badge = [badge];
        }
        GardenModule.setTabBadge(this.sceneId, badge);
    }
    setMenuInteractive(enabled) {
        GardenModule.setMenuInteractive(this.sceneId, enabled);
    }
}
