import { ComponentProvider } from 'react-native';
import React, { ComponentType } from 'react';
import { Navigator } from './Navigator';
import { Garden } from './Garden';
import { RouteConfig } from './router';
import { NavigationItem } from './typing';
export interface InjectedProps {
    navigator: Navigator;
    garden: Garden;
    sceneId: string;
}
export declare type HOC = (WrappedComponent: React.ComponentType<any>) => React.ComponentType<any>;
export declare class ReactRegistry {
    static registerEnded: boolean;
    static startRegisterComponent(hoc?: HOC): void;
    static endRegisterComponent(): void;
    static registerComponent(appKey: string, getComponentFunc: ComponentProvider, routeConfig?: RouteConfig): void;
}
export declare function withNavigationItem(item: NavigationItem): (Func: ComponentType<any>) => React.ComponentType<any>;
