import { Navigator } from '../Navigator';
export function isDrawerGraph(graph) {
    return graph.layout === 'drawer';
}
const handler = (graph, route, next) => {
    if (!isDrawerGraph(graph)) {
        return false;
    }
    const { moduleName, sceneId } = graph.children[1];
    if (moduleName === route.moduleName) {
        const navigator = Navigator.of(sceneId);
        navigator.openMenu();
        return true;
    }
    else {
        let result = next(graph.children[0], route, next);
        if (result) {
            const navigator = Navigator.of(sceneId);
            navigator.closeMenu();
        }
        return result;
    }
};
export default handler;
