import { RouteConfig, RouteInfo, RouteInterceptor, RouteHandler } from './typing';
import { PropsType, NavigationItem } from '../typing';
declare function addInterceptor(func: RouteInterceptor): void;
declare function removeInterceptor(func: RouteInterceptor): void;
declare function addRouteHandler(handler: RouteHandler): void;
declare function use(handler: RouteHandler): void;
declare function registerRoute(moduleName: string, route: RouteConfig): void;
declare function open(path: string, props?: PropsType, options?: NavigationItem): Promise<void>;
declare function pathToRoute(path: string, props: PropsType, options: NavigationItem): RouteInfo | undefined;
export declare const router: {
    addInterceptor: typeof addInterceptor;
    removeInterceptor: typeof removeInterceptor;
    addRouteHandler: typeof addRouteHandler;
    registerRoute: typeof registerRoute;
    use: typeof use;
    open: typeof open;
    pathToRoute: typeof pathToRoute;
};
export * from './typing';
export * from './drawer';
export * from './screen';
export * from './stack';
export * from './tabs';
