import { Navigator } from '../Navigator';
import { isScreenGraph } from './screen';
export function isTabsGraph(graph) {
    return graph.layout === 'tabs';
}
const handler = (graph, route, next) => {
    if (!isTabsGraph(graph)) {
        return false;
    }
    const { children, selectedIndex } = graph;
    const { dependencies, moduleName } = route;
    for (let i = 0; i < children.length; i++) {
        const moduleNames = [];
        extractModuleNames(children[i], moduleNames);
        if (moduleNames.indexOf(moduleName) !== -1 || dependencies.some(value => moduleNames.indexOf(value) !== -1)) {
            if (selectedIndex !== i) {
                const navigator = Navigator.of(children[i].sceneId);
                navigator.switchTab(i);
            }
            return next(children[i], route, next);
        }
    }
    return false;
};
function extractModuleNames(graph, set) {
    if (isScreenGraph(graph)) {
        set.push(graph.moduleName);
    }
    else {
        const children = graph.children;
        for (let i = 0; i < children.length; i++) {
            extractModuleNames(children[i], set);
        }
    }
}
export default handler;
